#!/bin/sh

## ************ Begin Standard Header - Do not add comments here ***********
## 
## File:     install.sh
## Version:  1.0
## Modified: Feb/15/2007
## Build:    1 0
## 
## "This sample program is provided AS IS and may be used, executed,
##  copied and modified without royalty payment by customer (a) for its 
##  own instruction and study, (b) in order to develop applications 
##  designed to run with Solution Installation for Autonomic Computing,
##  either for customer's own internal use or for redistribution by
##  customer, as part of such an application, in customer's own products."
## 
## ACOM-SIT
## 
## (C) COPYRIGHT IBM CORP. 2006.
## All Rights Reserved * Licensed Materials - Property of IBM
## 
## ************************* End Standard Header ***************************

## IZ07743 - removed HOMEDIR setting, cd'd to $0/.. before executing
##           manageiu.sh instead.
## 81475   - "cd $0/.." doesn't work for Unix.  Must use 'dirname'.
HOME_DIR=`dirname $0`
cd $HOME_DIR

## IZ05183 - require an argument = the discriminant for the fixpack
## 81745   - If no argument then use "/opt/IBM/FIM" as the discriminant, 
##           the value TFIMUI 1.3 registered TFIM 6.1.1 under.
if [ -z "$1" ] ; then
    DISCRIMINANT=/opt/IBM/FIM
else
    DISCRIMINANT="$1"
fi

# IZ23753 LG Handle both root and nonroot installs
# 89017 - fixed the logic
ENVIRONMENT=/var/ibm/common/acsi/setenv.sh
if [ "$LOGNAME" != "root" ] ; then
    ENVIRONMENT="${HOME}/.acsi_${LOGNAME}/setenv.sh"
fi

if [ -z "$ACU_COMMON" ] ; then
    if [ -f  $ENVIRONMENT ] ; then
        . $ENVIRONMENT
    else
        echo "Before calling this installation script please call setenv.sh"
        exit 1
    fi
fi

echo "#######################################################################"
echo "# Starting installation of: Tivoli Federated Identity Manager Fixpack #"
echo "#######################################################################"
manageIU.sh -o update -r "$DISCRIMINANT" -p ../META-INF/packagedIU.xml -i variables -u true
