# @(#)07  1.4 src/cmdline/staging/scripts/get_current_version.py, amws.cmdline, fim611, 060808b 5/1/06 19:52:24
# (C) Copyright International Business Machines Corporation 2005. All rights 
# reserved.  U.S. Government Users Restricted Rights -- Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

from fim_base import read_properties_file, get_domain_instance
from domain_utils import get_current_version
from com.tivoli.am.fim.logging import FIMLoggerFactory
from com.tivoli.am.fim.logging import FIMLogger
from com.tivoli.am.fim.logging import FIMLevel
from com.tivoli.am.fim.i18n.msgs import CmdLineMessages
from jarray import array
from java.lang import Object
import sys
from com.tivoli.am.fim.logging import FIMLoggerConstants

# Set up FIMLogger
component_name = "StagingTools"
script_name = "get_current_version.py"
method_name = script_name
class_name = "com.tivoli.am.fim.cmdline." + script_name[0:-3]
FIMLoggerFactory.enableStdout(FIMLevel.ALL)
FIMLoggerFactory.setPreferredFIMLoggerImpl(FIMLoggerConstants.FIMLOGGER_BASE_IMPL)
FIMLoggerFactory.setPreferredFIMLoggerImpl(FIMLoggerConstants.FIMLOGGER_BASE_IMPL)
log = FIMLoggerFactory.getFIMLogger(component_name, class_name, CmdLineMessages.CLASS_NAME)

def usage():
    inserts = array([script_name],Object)
    log.logMessage(FIMLevel.INFO, method_name, "\nusage: %s \
domain_properties_file \n"%script_name)
    raise SystemExit

if __name__ == 'main':
    
    if len(sys.argv) <1:
        usage()
    
    domain_props = read_properties_file(sys.argv[0])
    domain = get_domain_instance(domain_props)
    version = get_current_version(domain)
    
    if not version:
        log.logMessage(FIMLevel.INFO, method_name, CmdLineMessages.no_domains_exist)
        raise SystemExit
    else:
        inserts = array([version], Object)
        log.logMessage(FIMLevel.INFO, method_name, CmdLineMessages.current_version_of_fim, inserts)        
        print version
    
    raise SystemExit        

